Skip to main content
PUT
/
api
/
v1
/
technician
/
update
/
{id}
Actualizar técnico
curl --request PUT \
  --url https://api.raul.ugps.io/api/v1/technician/update/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "technician_name": "Juan Pérez",
  "city_id": "uuid",
  "phone": "+56912345678",
  "email": "tecnico@example.com",
  "address": "Av. Providencia 123",
  "is_active": true
}
'
{}

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

id
string
required

ID del técnico (UUID)

Body

application/json
technician_name
string

Nombre del técnico

Example:

"Juan Pérez"

city_id
string

ID de la ciudad

Example:

"uuid"

phone
string

Teléfono

Example:

"+56912345678"

email
string

Email

Example:

"tecnico@example.com"

address
string

Dirección

Example:

"Av. Providencia 123"

is_active
boolean

Estado activo/inactivo del técnico

Example:

true

Response

Técnico actualizado exitosamente

The response is of type object.